Bug 759001 - Not able to login directly into a particular project.
Not able to login directly into a particular project.
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
All All
medium Severity medium
: ---
: ---
Assigned To: David Mason
Ding-Yi Chen
Depends On:
  Show dependency treegraph
Reported: 2011-12-01 03:04 EST by Manoj Kumar Giri
Modified: 2015-04-19 20:45 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.5-SNAPSHOT (20120127-1520).
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-23 00:33:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Manoj Kumar Giri 2011-12-01 03:04:47 EST
Description of problem:
Trying to log into a particular project, after authentication it comes to the home page not coming to the desired project.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Log in to a particular project. (i.e,https://translate.zanata.org/zanata/project/view/aeolus-conductor)
2. After authentication it will come to the home page, and again you have to search for that project from the list.
Actual results: It always comes to the home page irrespective of the project link you are trying to login.

Expected results: After authentication it should come to the desired project page, not to the home page.

Additional info:
Comment 1 Sean Flanigan 2011-12-06 00:48:08 EST
True, this is annoying, and we should do something about it.
Comment 2 David Mason 2012-01-26 22:17:35 EST
Implemented in 1.5.

Signing in after clicking the "Sign In" link will now return the user to the page they were viewing when they clicked the link, including a specific project page.
Comment 4 David Mason 2012-01-26 22:25:14 EST
Note that this implementation requires the server url to be set correctly for any instance not deployed to localhost:8080/zanata
Comment 5 Ding-Yi Chen 2012-01-26 23:14:45 EST
It will go back to home page for Kerberos instances. 

Internal authentcation, nukes, and fedora authentcation are all correct.
Comment 6 David Mason 2012-01-27 00:34:31 EST
Updated to have correct behvaiour for Kerberos instances.
Should now work regardless whether server url has been set correctly.

see: https://github.com/zanata/zanata/compare/b09ef23a102baebef031e7b52cbbebbfbf6c8712...e7e8d7db1892e692092619b554401fb0168a4437
Comment 7 Ding-Yi Chen 2012-01-27 01:02:49 EST
VERIFIED with Zanata version 1.5-SNAPSHOT (20120127-1520).

Note You need to log in before you can comment on or make changes to this bug.